unit TstNB97F;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Grids, DBGrids, DB, DBTables, Buttons,
  ExtCtrls, Menus, DBBBtn, DBBtnCmn, Tb97, DB97Btn;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Edit1: TMenuItem;
    New1: TMenuItem;
    Delete1: TMenuItem;
    N1: TMenuItem;
    Edit2: TMenuItem;
    N2: TMenuItem;
    Save1: TMenuItem;
    Cancel1: TMenuItem;
    Refresh1: TMenuItem;
    N5: TMenuItem;
    Exit1: TMenuItem;
    dbNavBtnFirst: TDBToolbarButton97;
    dbNavBtnPrior: TDBToolbarButton97;
    dbNavBtnNext: TDBToolbarButton97;
    dbNavBtnLast: TDBToolbarButton97;
    dbNavBtnNew: TDBToolbarButton97;
    dbNavBtnEdit: TDBToolbarButton97;
    dbNavBtnSave: TDBToolbarButton97;
    dbNavBtnCancel: TDBToolbarButton97;
    dbNavBtnRefresh: TDBToolbarButton97;
    dbNavBtnDelete: TDBToolbarButton97;
    PopupMenu1: TPopupMenu;
    New2: TMenuItem;
    Delete2: TMenuItem;
    N3: TMenuItem;
    Edit3: TMenuItem;
    N4: TMenuItem;
    Save2: TMenuItem;
    Cancel2: TMenuItem;
    Label1: TLabel;
    Label2: TLabel;
    Query1: TQuery;
    Label3: TLabel;
    procedure Exit1Click(Sender: TObject);
    procedure Refresh1Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure Edit2Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure Cancel1Click(Sender: TObject);
    procedure dbNavBtnNewEnabledChanged(Sender: TObject);
    procedure dbNavBtnEditEnabledChanged(Sender: TObject);
    procedure dbNavBtnSaveEnabledChanged(Sender: TObject);
    procedure dbNavBtnCancelEnabledChanged(Sender: TObject);
    procedure dbNavBtnRefreshEnabledChanged(Sender: TObject);
    procedure dbNavBtnDeleteEnabledChanged(Sender: TObject);
    procedure dbNavBtnDeleteGetQuestion(Sender: TObject;
      var Question: String; var Buttons: TMsgDlgButtons;
      var HelpCtx: Longint);
    procedure FormCreate(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Refresh1Click(Sender: TObject);
begin
  dbNavBtnRefresh.Click;
end;

procedure TForm1.New1Click(Sender: TObject);
begin
  dbNavBtnNew.Click;
end;

procedure TForm1.Delete1Click(Sender: TObject);
begin
  dbNavBtnDelete.Click;
end;

procedure TForm1.Edit2Click(Sender: TObject);
begin
  dbNavBtnEdit.Click;
end;

procedure TForm1.Save1Click(Sender: TObject);
begin
  dbNavBtnSave.Click;
end;

procedure TForm1.Cancel1Click(Sender: TObject);
begin
  dbNavBtnCancel.Click;
end;


procedure TForm1.dbNavBtnNewEnabledChanged(Sender: TObject);
begin
  New1.Enabled := dbNavBtnNew.Enabled;
end;

procedure TForm1.dbNavBtnEditEnabledChanged(Sender: TObject);
begin
  Edit2.Enabled := dbNavBtnEdit.Enabled;
end;

procedure TForm1.dbNavBtnSaveEnabledChanged(Sender: TObject);
begin
  Save1.Enabled := dbNavBtnSave.Enabled;
end;

procedure TForm1.dbNavBtnCancelEnabledChanged(Sender: TObject);
begin
  Cancel1.Enabled := dbNavBtnCancel.Enabled;
end;

procedure TForm1.dbNavBtnRefreshEnabledChanged(Sender: TObject);
begin
  Refresh1.Enabled := dbNavBtnRefresh.Enabled;
end;

procedure TForm1.dbNavBtnDeleteEnabledChanged(Sender: TObject);
begin
  Delete1.Enabled := dbNavBtnDelete.Enabled;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.dbNavBtnDeleteGetQuestion(Sender: TObject;
  var Question: String; var Buttons: TMsgDlgButtons; var HelpCtx: Longint);
begin
  Buttons := [mbYes, mbNo];
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Table1.Open;
end;

end.
